<template>
  <v-sheet class="white darken-2 fill-height">
    <v-container class="d-flex align-center justify-center fill-height">
      <v-card
        class="primary fill-height align-center d-flex justify-center"
        width="500px"
        height="500px"
      >
        <div style="width: 100%">
          <v-form ref="loginForm" class="mx-2">
            <div class="mx-auto">
              <h2 class="white--text text-center mb-2">Login</h2>
            </div>
            <div class="d-flex flex-column justify-center px-5">
              <v-text-field
                v-model="login.email"
                color="tertiary"
                label="E-Mail *"
                prepend-inner-icon="mdi-email"
                hide-details="auto"
                class="mb-5 white"
                filled
                :disabled="loading"
                :rules="[$rules.required, $rules.email]"
              />
              <v-text-field
                v-model="login.password"
                color="tertiary"
                :append-icon="seePassword ? 'mdi-eye' : 'mdi-eye-off'"
                @click:append="seePassword = !seePassword"
                :type="seePassword ? 'text' : 'password'"
                label="Senha *"
                class="mb-5 white"
                filled
                prepend-inner-icon="mdi-key-variant"
                hide-details="auto"
                :disabled="loading"
                :rules="[$rules.required, $rules.passwordMin]"
              />
              <v-btn
                color="green"
                class="my-4"
                dark
                :loading="loading"
                @click="efetuarLogin()"
              >
                Entrar
              </v-btn>
            </div>
          </v-form>
        </div>
      </v-card>
    </v-container>
  </v-sheet>
</template>

<script>
export default {
  name: "Login",
  components: {},
  //
  data: () => ({
    login: {email: "", senha: ""},
    seePassword: false,
    loading: false,
  }),

  methods: {
    efetuarLogin(){
      this.$axios
        .get("/login/" + this.name + "/" + this.email)
        .then((res) => {
          this.user = res.data;
          this.console.log("Login Efetuado com sucesso.");
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(() => {
          //
        });
    },
    getUsers() {
      this.$axios
        .get("/listar")
        .then((res) => {
          this.user = res.data;
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(() => {
          //
        });
    },
  },
};
</script>
